Due to a problem in the October 2011 CU it is not possible to install October CU on top of MOSS 2007 Service Pack 3.

If a fix from October CU is required right now you can use the workaround to first install October 2011 CU and Service Pack 3 afterwards.
This sequence is fully supported and will avoid the issue.

[Update Nov 8th, 2011: http://blogs.technet.com/b/stefan_gossner/archive/2011/11/08/october-2011-cu-for-sharepoint-2007-has-been-re-released.aspx]